$LeftOvers = $pdf->addTextWrap(650, $YPos,85,$FontSize,$stup,'right');$LeftOvers = $pdf->addTextWrap(650, $YPos,85,$FontSize,$stup,'right');$LeftOvers = $pdf->addTextWrap(650, $YPos,85,$FontSize,$stup,'right');$LeftOvers = $pdf->addTextWrap(650, $YPos,85,$FontSize,$stup,'right');<?php
/*	$Id: PDFQuotationPageHeader.inc 7551 2016-06-06 15:28:31Z rchacon $*/
/* pdf-php by R&OS code to set up a new sales order page */

/*	Please note that addTextWrap prints a font-size-height further down than
	addText and other functions.*/

// $PageNumber is initialised in 0 by includes/PDFStarter.php.
$PageNumber ++;// Increments $PageNumber before printing.
if($PageNumber>1) {// Inserts a page break if it is not the first page.
	$pdf->newPage();
}

// Prints company logo:
/*$pdf->addJpegFromFile($_SESSION['LogoFile'], 250, 520, 0, 60);// Old function. See ~/includes/class.pdf.php.*/
$pdf->Image(
	$_SESSION['LogoFile'],// Name of the file containing the image.
	40,// Abscissa from left border to the upper-left corner (LTR).
	$Page_Height -(520) -(70),// Ordinate from top border to the upper-left corner (LTR).
	0,// Width of the image in the page. If not specified or equal to zero, it is automatically calculated.
	60,// Height of the image in the page. If not specified or equal to zero, it is automatically calculated.
	''// Image format. If not specified, the type is inferred from the file extension.
);// Public function Image() in ~/includes/tcpdf/tcpdf.php.

// Prints 'Quotation' title:
$pdf->addTextWrap(0, $Page_Height-$Top_Margin-18, $Page_Width+50, 18, _('TECHNICIAN WORKSHEET'), 'center');

// Prints quotation info:

$pdf->addTextWrap($Page_Width-$Right_Margin-200, $Page_Height-$Top_Margin-$FontSize*1, 200, 14, _('Worksheet No'). ': '.$worksheetid, 'right');


$pdf->addTextWrap($Page_Width-$Right_Margin-200, $Page_Height-$Top_Margin-$FontSize*3, 200, 12, _('Date'). ': '.$date, 'right');
$pdf->addTextWrap($Page_Width-$Right_Margin-200, $Page_Height-$Top_Margin-$FontSize*4, 200, 12, _('Page').': '.$PageNumber, 'right');


		$userid = $_SESSION['UserID'];
		
$SQLuser = "SELECT email,realname
	               
			FROM www_users
			WHERE realname='" . $initiator. "'
			";
	
			$resultuser = DB_query($SQLuser);
	
			$myrowuser = DB_fetch_array($resultuser) ;
		$emailm= $myrowuser['email'];
$realname= $myrowuser['realname'];

$pdf->addTextwrap($Page_Width-$Right_Margin-500, $Page_Height-$Top_Margin-$FontSize*5, 500, 12,  _('Prepared by') . ': ' . $realname.' '._('Email:'). $emailm);

//$pdf->addTextwrap($Page_Width-$Right_Margin-500, $Page_Height-$Top_Margin-$FontSize*7, 500, 12,  _('Project') . ': ' . $projectid.' '._('-'). $projectname);
//$pdf->addTextwrap($Page_Width-$Right_Margin-500, $Page_Height-$Top_Margin-$FontSize*9, 500, 12,  _('Account') . ': ' . $accountnumber);


// Prints company info:
$XPos = $Page_Width/2+$Left_Margin;
$YPos = 512;
$FontSize = 14;
//$pdf->addText($XPos, $YPos-$FontSize*6, $FontSize,  _('Prepared by') . ': ' . $realname.' '._('Email:'). $emailm);



// Prints 'Quotation For' info:
$YPos -= 80;
$line_height = 15;



//$pdf->addText($XPos, $YPos-$line_height*4, $FontSize, $address3 . ' ' . $address4 . ' ' . $address5);

// Draws a box with round corners around 'Delivery To' info:
$XPos= 50;
$YPos += 12;
$pdf->RoundRectangle(
	$XPos-10,// RoundRectangle $XPos.
	$YPos+70,// RoundRectangle $YPos.
	245,// RoundRectangle $Width.
	80,// RoundRectangle $Height.
	10,// RoundRectangle $RadiusX.
	10);// RoundRectangle $RadiusY.


$pdf->addText($XPos, $YPos+60, 12, _('ProjectID').':'. $projectid);
$pdf->addText($XPos, $YPos+60-$line_height*1,12,_('Project Name').':'. $projectname);
$pdf->addText($XPos, $YPos+60-$line_height*2,12,_('Account Number').':'. $accountnumber);
//$pdf->addText($XPos, $YPos+60-$line_height*3,12,_('Job No/ProjectID').':'. $jobno);

$FontSize=10;

// Prints the currency name:
require_once('includes/CurrenciesArray.php');// To get the currency name from the currency code.
//$pdf->addText($Page_Width/2+$Left_Margin, $YPos-5, $FontSize,	_('All amounts stated in: FJD') );

// Prints table header:
$XPos = 40;
$YPos -= 37;
$LeftOvers = $pdf->addTextWrap($Left_Margin, $YPos,103, $FontSize, _('Item Code'));
	if(strlen($LeftOvers) > 0) { // If translated text is greater than 103, prints remainder
		$LeftOvers = $pdf->addTextWrap($Left_Margin, $YPos-$FontSize, 65, $FontSize, $LeftOvers);
	}
$LeftOvers = $pdf->addTextWrap(145, $YPos,505, $FontSize, _('Description'));

//$LeftOvers = $pdf->addTextWrap(440, $YPos, 105, $FontSize, _('Narrative'),'right');
	if(strlen($LeftOvers) > 0) { // If translated text is greater than 55, prints remainder
		$LeftOvers = $pdf->addTextWrap(615,$YPos-$FontSize,55, $FontSize, $LeftOvers,'right');
	}
$LeftOvers = $pdf->addTextWrap(520, $YPos, 105, $FontSize, _('Qty/Hrs'),'right');
	if(strlen($LeftOvers) > 0) { // If translated text is greater than 55, prints remainder
		$LeftOvers = $pdf->addTextWrap(615,$YPos-$FontSize,55, $FontSize, $LeftOvers,'right');
	}
	


// Draws a box with round corners around line items:
$pdf->RoundRectangle(
	$Left_Margin,// RoundRectangle $XPos.
	$YPos+$FontSize+5,// RoundRectangle $YPos.
	$Page_Width-$Left_Margin-$Right_Margin,// RoundRectangle $Width.
	$YPos+$FontSize-$Bottom_Margin+5,// RoundRectangle $Height.
	10,// RoundRectangle $RadiusX.
	10);// RoundRectangle $RadiusY.

// Line under table headings:
$LineYPos = $YPos - $FontSize -1;
$pdf->line($Page_Width-$Right_Margin, $LineYPos, $Left_Margin, $LineYPos);

$YPos -= $FontSize + 10 ;// This is to use addTextWrap's $YPos instead of normal $YPos.

?>
